org.apache.uima.pear.tools

## Class InstallationDescriptor.ActionInfo

- java.lang.Object
- - org.apache.uima.pear.tools.InstallationDescriptor.ActionInfo

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    InstallationDescriptor

      public static class InstallationDescriptor.ActionInfo
      extends Object
      implements Serializable

  The `ActionInfo` class defines 'installation action' attributes.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FIND_AND_REPLACE_PATH_ACT`
    `Properties` | `params`
    `static String` | `SET_ENV_VARIABLE_ACT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ActionInfo(InstallationDescriptor.ActionInfo anAction)`
    `` | `ActionInfo(String name)` Constructor that takes 'action' name as an argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIND_AND_REPLACE_PATH_ACT

          public static final String FIND_AND_REPLACE_PATH_ACT

      See Also:
        Constant Field Values

    - #### SET_ENV_VARIABLE_ACT

          public static final String SET_ENV_VARIABLE_ACT

      See Also:
        Constant Field Values

    - #### params

          public Properties params

  - ### Constructor Detail

    - #### ActionInfo

          public ActionInfo(String name)

      Constructor that takes 'action' name as an argument.
      Parameters:
        `name` - The given action name.

    - #### ActionInfo

          protected ActionInfo(InstallationDescriptor.ActionInfo anAction)

  - ### Method Detail

    - #### getName

          public String getName()

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.